import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiVinsNatRuleAddResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiVinsNatRuleAddProtocol(_base.BasePostAPIFunctionProtocol):
    def nat_rule_add(
        self,
        *,
        local_ip: str,
        public_port_start: int,
        vins_id: int,
        local_port: int | None = None,
        protocol: _nested.NATRuleProtocol = _nested.NATRuleProtocol.TCP,
        public_port_end: int | None = None,
    ) -> CloudapiVinsNatRuleAddResultInt:
        ...
